<div id="body" class="container-fluid">
  <h6>Search Results</h6>
  <div *ngIf="eventList?.length <= 0 && orderList?.length <= 0">
    <strong>No Records found for your Search Criteria, Please refine your Search</strong>
  </div>

  <dx-data-grid #grid id="grid" *ngIf="eventList?.length > 0"
                [dataSource]="eventList" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onRowDblClick)="selectionChangedEventHandler(grid.selectedRowKeys)"
                (onToolbarPreparing)="onToolbarEventPreparing($event)"
                (onExporting)="onExportingEvent($event)"
                (onRowPrepared)="onRowEventPrepared($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-selection mode="single"></dxo-selection>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <dxi-column dataField="eventID" caption="Event ID" dataType="string" cellTemplate="eventIdTemplate"></dxi-column>
    <dxi-column dataField="eventType" caption="Event Type" dataType="string"></dxi-column>
    <dxi-column dataField="eventStatus" caption="Event Status" dataType="string"></dxi-column>
    <dxi-column dataField="assignedTo" caption="Assigned User" dataType="string"></dxi-column>
    <dxi-column dataField="requestedBy" caption="Requested By" dataType="string"></dxi-column>
    <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
    <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
    <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
    <dxi-column dataField="city" caption="City" dataType="string"></dxi-column>
    <dxi-column dataField="state" caption="State" dataType="string"></dxi-column>
    <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
    <dxi-column dataField="designName" caption="Device Name" dataType="string"></dxi-column>
    <dxi-column dataField="redesignNumber" caption="Redesign Number" dataType="string"></dxi-column>
    <dxi-column dataField="startDate" caption="Start Date" dataType="datetime"></dxi-column>
    <dxi-column dataField="modifiedDate" caption="Last Update" dataType="datetime"></dxi-column>
    <div *dxTemplate="let data of 'exportTemplate'">
      <button type="button" class="btn btn-sm btn-primary" (click)="grid.instance.exportToExcel(false)">Export to Excel</button>
    </div>
    <div *dxTemplate="let row of 'eventIdTemplate'">
      <a class="hyperlink" (click)="goToEvent(row.data)">{{ row.value }}</a>
    </div>
  </dx-data-grid>

  <dx-data-grid #grid1 id="grid1" *ngIf="orderList?.length > 0"
                [dataSource]="orderList" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onRowDblClick)="selectionChangedOrderHandler(grid1.selectedRowKeys)"
                (onToolbarPreparing)="onToolbarOrderPreparing($event)"
                (onExporting)="onExportingOrder($event)"
                (onRowPrepared)="onRowOrderPrepared($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-selection mode="single"></dxo-selection>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <dxi-column dataField="ftn" caption="M5 #" dataType="string" cellTemplate="orderIdTemplate"></dxi-column>
    <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
    <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
    <dxi-column dataField="domesticFlag" caption="Domestic Flag" dataType="string"></dxi-column>
    <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
    <dxi-column dataField="orderSubType" caption="Order SubType" dataType="string"></dxi-column>
    <dxi-column dataField="orderType" caption="Order Action" dataType="string"></dxi-column>
    <dxi-column dataField="orderTypeDesc" caption="Order Type Desc" dataType="string"></dxi-column>
    <dxi-column dataField="productType" caption="Product Type" dataType="string"></dxi-column>
    <dxi-column dataField="ccd" caption="CCD" dataType="datetime" format="MMM/dd/yy"></dxi-column>
    <dxi-column dataField="workGroup" caption="Work Group" dataType="string"></dxi-column>
    <dxi-column dataField="orderStatus" caption="Order Status" dataType="string"></dxi-column>
    <div *dxTemplate="let data of 'exportTemplate'">
      <button type="button" class="btn btn-sm btn-primary" (click)="grid1.instance.exportToExcel(false)">Export to Excel</button>
    </div>
    <div *dxTemplate="let row of 'orderIdTemplate'">
      <a class="hyperlink" (click)="goToOrder(row.data)">{{ row.value }}</a>
    </div>
  </dx-data-grid>
</div>
